## usplash-theme-ubuntume 1.2

=== Makefile ===
CC=gcc
CFLAGS=-g -Wall -fPIC
LDFLAGS=
INCLUDES=

COMPILE = $(CC) $(INCLUDES) $(CFLAGS)
LINK = $(CC) $(CFLAGS) $(LDFLAGS)

INSTALL = /usr/bin/install -c
INSTALL_DATA = $(INSTALL) -m 644
INSTALL_PROGRAM = $(INSTALL) -m 755

ubuntume.so: ubuntume_1280_1024.png.c.o ubuntume_1024_576_cropped.png.c.o ubuntume_1024_768.png.c.o ubuntume_800_600.png.c.o throbber_fore.png.c.o throbber_back.png.c.o ubuntume.c.o
	$(COMPILE) -shared -o $@ $^
	
%.png.c: %.png
	pngtousplash $< > $@

%.bdf.c: %.bdf
	bdftousplash $< > $@

%.c.o: %.c
	$(COMPILE) -o $@ -c $<

install:
	$(INSTALL) -d $(DESTDIR)/usr/lib/usplash
	$(INSTALL_PROGRAM) ubuntume.so $(DESTDIR)/usr/lib/usplash/ubuntume.so
clean:
	rm -f *.png.c *.bdf.c *.c.o *.so

=== debian/changelog ===
usplash-theme-ubuntume (1.2) hardy; urgency=low

  * Fixed text position for 800x600 resolution.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 29 Mar 2008 09:50:06 +0200

usplash-theme-ubuntume (1.1) hardy; urgency=low

  * Initial release (LP: #185134).

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 24 Dec 2007 09:50:06 +0200

=== debian/control ===
Source: usplash-theme-ubuntume
Section: misc
Priority: optional
Maintainer: Ubuntu Muslim Edition Team <ubuntume@googlegroups.com>
XSBC-Original-Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
Build-Depends: debhelper (>= 5), libusplash-dev
Standards-Version: 3.7.3
Homepage: http://www.ubuntume.com

Package: usplash-theme-ubuntume
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, initramfs-tools (>= 0.40ubuntu30), usplash (>= 0.4-21)
Description: Usplash theme for Ubuntu Muslim Edition
 This package contains the usplash theme for Ubuntu Muslim Edition.

## usplash-theme-ubuntume 1.4

=== debian/changelog ===
usplash-theme-ubuntume (1.4) intrepid; urgency=low

  * * No-change rebuild against current usplash which bumped THEME_VERSION.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 15 Oct 2008 09:44:02 +0200

usplash-theme-ubuntume (1.3) intrepid; urgency=low

  * debian/postinst:
   + usplash theme is now /usr/lib/usplash/usplash-theme-ubuntume.so.
   + Remove /usr/lib/usplash/ubuntume.so from alternatives if
     upgrading from a version before 1.3.
   + Set alternative to /usr/lib/usplash/usplash-theme-ubuntume.so if it was
     set to /usr/lib/usplash/ubuntume.so when upgrading from a version before
     1.3.
  * debian/control: updated Maintainer field with new mailing list address.
  [ jMehdi ]
  * New theme based on usplash-theme-ubuntu.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 21 Jun 2008 09:50:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: usplash-theme-ubuntume
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Muslim Edition Team <ubuntume@googlegroups.com>
+Maintainer: Ubuntu Muslim Edition Team <ubuntume.team@lists.launchpad.net>
 XSBC-Original-Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
 Build-Depends: debhelper (>= 5), libusplash-dev
 Standards-Version: 3.7.3
 Homepage: http://www.ubuntume.com
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntume.team/ubuntume-artwork/trunk
+Vcs-Browser: http://bazaar.launchpad.net/~ubuntume.team/ubuntume-artwork/trunk
 
 Package: usplash-theme-ubuntume
 Architecture: any

## usplash-theme-ubuntume 1.5

=== Makefile ===
CC=gcc
CFLAGS=-g -Wall -fPIC
LDFLAGS=
INCLUDES=

COMPILE = $(CC) $(INCLUDES) $(CFLAGS)
LINK = $(CC) $(CFLAGS) $(LDFLAGS)

INSTALL = /usr/bin/install -c
INSTALL_DATA = $(INSTALL) -m 644
INSTALL_PROGRAM = $(INSTALL) -m 755

usplash-theme-ubuntume.so: throbber_back.png.c.o throbber_back_16.png.c.o throbber_fore.png.c.o throbber_fore_16.png.c.o \
						 usplash_1024_768.png.c.o usplash_800_600.png.c.o \
						 usplash_640_400.png.c.o usplash_640_480.png.c.o usplash-theme-ubuntume.c.o
	$(COMPILE) -shared -o $@ $^

%.png.c: %.png
	pngtousplash $< > $@

%.bdf.c: %.bdf
	bdftousplash $< > $@

%.c.o: %.c
	$(COMPILE) -o $@ -c $<

install:
	$(INSTALL) -d $(DESTDIR)/usr/lib/usplash
	$(INSTALL_PROGRAM) usplash-theme-ubuntume.so $(DESTDIR)/usr/lib/usplash/usplash-theme-ubuntume.so
clean:
	rm -f *.png.c *.bdf.c *.c.o *.so

=== debian/changelog ===
usplash-theme-ubuntume (1.5) jaunty; urgency=low

  * Update for new usplash which supports explicit theme sizes and pixmap
    positions; see LP #64147 for details.
  * debian/control: Bump usplash dependencies to >= 0.5.30 (THEME_VERSION==4).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 04 Mar 2009 22:14:02 +0100

=== debian/control ===
Source: usplash-theme-ubuntume
Section: misc
Priority: optional
Maintainer: Ubuntu Muslim Edition Team <ubuntume.team@lists.launchpad.net>
XSBC-Original-Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
Build-Depends: debhelper (>= 5), libusplash-dev (>= 0.5.30)
Standards-Version: 3.7.3
Homepage: http://www.ubuntume.com
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntume.team/ubuntume-artwork/trunk
Vcs-Browser: http://bazaar.launchpad.net/~ubuntume.team/ubuntume-artwork/trunk

Package: usplash-theme-ubuntume
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, initramfs-tools (>= 0.40ubuntu30), usplash (>= 0.5.30)
Description: Usplash theme for Ubuntu Muslim Edition
 This package contains the usplash theme for Ubuntu Muslim Edition.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

build: build-stamp

build-stamp:
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) DESTDIR=$(CURDIR)/debian/usplash-theme-ubuntume install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
#	dh_installdebconf
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
